import { ZodType, ZodTypeDef } from 'zod';
export declare function zodToAnnotations(obj: ZodType<any, ZodTypeDef, any>): any;
export declare function nanoid(): string;
export declare function nonNullable<T>(value: T): value is NonNullable<T>;
export declare function isNil(value: unknown): value is null | undefined;
export declare function isString(value: unknown): value is string;
export declare function isBlank(value: unknown): boolean;
export declare function nonBlank<T>(value: T): value is NonNullable<T>;
/**
 * Split the prompt into command and prompt
 *
 * @param prompt
 * @returns
 */
export declare function getCommandPrompt(prompt: string): {
    command: string;
    prompt: string;
};
export declare function referencesCommandName(commandName: string): string;
export declare const AgentRecursionLimit = 20;
export declare function sumTokenUsage(output: any): number;
